VkPhysicalDeviceDescriptorIndexingFeaturesEXT Struct Reference

`#include <vulkan_core.h>`

## Data Fields

VkStructureType | sType
void * | pNext
VkBool32 | shaderInputAttachmentArrayDynamicIndexing
VkBool32 | shaderUniformTexelBufferArrayDynamicIndexing
VkBool32 | shaderStorageTexelBufferArrayDynamicIndexing
VkBool32 | shaderUniformBufferArrayNonUniformIndexing
VkBool32 | shaderSampledImageArrayNonUniformIndexing
VkBool32 | shaderStorageBufferArrayNonUniformIndexing
VkBool32 | shaderStorageImageArrayNonUniformIndexing
VkBool32 | shaderInputAttachmentArrayNonUniformIndexing
VkBool32 | shaderUniformTexelBufferArrayNonUniformIndexing
VkBool32 | shaderStorageTexelBufferArrayNonUniformIndexing
VkBool32 | descriptorBindingUniformBufferUpdateAfterBind
VkBool32 | descriptorBindingSampledImageUpdateAfterBind
VkBool32 | descriptorBindingStorageImageUpdateAfterBind
VkBool32 | descriptorBindingStorageBufferUpdateAfterBind
VkBool32 | descriptorBindingUniformTexelBufferUpdateAfterBind
VkBool32 | descriptorBindingStorageTexelBufferUpdateAfterBind
VkBool32 | descriptorBindingUpdateUnusedWhilePending
VkBool32 | descriptorBindingPartiallyBound
VkBool32 | descriptorBindingVariableDescriptorCount
VkBool32 | runtimeDescriptorArray

## Detailed Description

Definition at line 7935 of file vulkan_core.h.

## Field Documentation

## descriptorBindingPartiallyBound

VkBool32 VkPhysicalDeviceDescriptorIndexingFeaturesEXT::descriptorBindingPartiallyBound

Definition at line 7955 of file vulkan_core.h.

## descriptorBindingSampledImageUpdateAfterBind

VkBool32 VkPhysicalDeviceDescriptorIndexingFeaturesEXT::descriptorBindingSampledImageUpdateAfterBind

Definition at line 7949 of file vulkan_core.h.

## descriptorBindingStorageBufferUpdateAfterBind

VkBool32 VkPhysicalDeviceDescriptorIndexingFeaturesEXT::descriptorBindingStorageBufferUpdateAfterBind

Definition at line 7951 of file vulkan_core.h.

## descriptorBindingStorageImageUpdateAfterBind

VkBool32 VkPhysicalDeviceDescriptorIndexingFeaturesEXT::descriptorBindingStorageImageUpdateAfterBind

Definition at line 7950 of file vulkan_core.h.

## descriptorBindingStorageTexelBufferUpdateAfterBind

VkBool32 VkPhysicalDeviceDescriptorIndexingFeaturesEXT::descriptorBindingStorageTexelBufferUpdateAfterBind

Definition at line 7953 of file vulkan_core.h.

## descriptorBindingUniformBufferUpdateAfterBind

VkBool32 VkPhysicalDeviceDescriptorIndexingFeaturesEXT::descriptorBindingUniformBufferUpdateAfterBind

Definition at line 7948 of file vulkan_core.h.

## descriptorBindingUniformTexelBufferUpdateAfterBind

VkBool32 VkPhysicalDeviceDescriptorIndexingFeaturesEXT::descriptorBindingUniformTexelBufferUpdateAfterBind

Definition at line 7952 of file vulkan_core.h.

## descriptorBindingUpdateUnusedWhilePending

VkBool32 VkPhysicalDeviceDescriptorIndexingFeaturesEXT::descriptorBindingUpdateUnusedWhilePending

Definition at line 7954 of file vulkan_core.h.

## descriptorBindingVariableDescriptorCount

VkBool32 VkPhysicalDeviceDescriptorIndexingFeaturesEXT::descriptorBindingVariableDescriptorCount

Definition at line 7956 of file vulkan_core.h.

## pNext

void* VkPhysicalDeviceDescriptorIndexingFeaturesEXT::pNext

Definition at line 7937 of file vulkan_core.h.

## runtimeDescriptorArray

VkBool32 VkPhysicalDeviceDescriptorIndexingFeaturesEXT::runtimeDescriptorArray

Definition at line 7957 of file vulkan_core.h.

## shaderInputAttachmentArrayDynamicIndexing

VkBool32 VkPhysicalDeviceDescriptorIndexingFeaturesEXT::shaderInputAttachmentArrayDynamicIndexing

Definition at line 7938 of file vulkan_core.h.

## shaderInputAttachmentArrayNonUniformIndexing

VkBool32 VkPhysicalDeviceDescriptorIndexingFeaturesEXT::shaderInputAttachmentArrayNonUniformIndexing

Definition at line 7945 of file vulkan_core.h.

## shaderSampledImageArrayNonUniformIndexing

VkBool32 VkPhysicalDeviceDescriptorIndexingFeaturesEXT::shaderSampledImageArrayNonUniformIndexing

Definition at line 7942 of file vulkan_core.h.

## shaderStorageBufferArrayNonUniformIndexing

VkBool32 VkPhysicalDeviceDescriptorIndexingFeaturesEXT::shaderStorageBufferArrayNonUniformIndexing

Definition at line 7943 of file vulkan_core.h.

## shaderStorageImageArrayNonUniformIndexing

VkBool32 VkPhysicalDeviceDescriptorIndexingFeaturesEXT::shaderStorageImageArrayNonUniformIndexing

Definition at line 7944 of file vulkan_core.h.

## shaderStorageTexelBufferArrayDynamicIndexing

VkBool32 VkPhysicalDeviceDescriptorIndexingFeaturesEXT::shaderStorageTexelBufferArrayDynamicIndexing

Definition at line 7940 of file vulkan_core.h.

## shaderStorageTexelBufferArrayNonUniformIndexing

VkBool32 VkPhysicalDeviceDescriptorIndexingFeaturesEXT::shaderStorageTexelBufferArrayNonUniformIndexing

Definition at line 7947 of file vulkan_core.h.

## shaderUniformBufferArrayNonUniformIndexing

VkBool32 VkPhysicalDeviceDescriptorIndexingFeaturesEXT::shaderUniformBufferArrayNonUniformIndexing

Definition at line 7941 of file vulkan_core.h.

## shaderUniformTexelBufferArrayDynamicIndexing

VkBool32 VkPhysicalDeviceDescriptorIndexingFeaturesEXT::shaderUniformTexelBufferArrayDynamicIndexing

Definition at line 7939 of file vulkan_core.h.

## shaderUniformTexelBufferArrayNonUniformIndexing

VkBool32 VkPhysicalDeviceDescriptorIndexingFeaturesEXT::shaderUniformTexelBufferArrayNonUniformIndexing

Definition at line 7946 of file vulkan_core.h.

## sType

VkStructureType VkPhysicalDeviceDescriptorIndexingFeaturesEXT::sType

Definition at line 7936 of file vulkan_core.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_core.h